- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgDB::ImageOptions Class Reference

Inheritance diagram for osgDB::ImageOptions:

[legend]
List of all members.

## Public Types
enum | ImageWindowMode { ALL_IMAGE, RATIO_WINDOW, PIXEL_WINDOW }
enum | ImageSamplingMode { NEAREST, LINEAR, CUBIC }
## Public Member Functions
| ImageOptions ()
| ImageOptions (const std::string &str)
| ImageOptions (const ImageOptions &options, const osg::CopyOp copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgDB, ImageOptions)
void | init ()
## Public Attributes
ImageSamplingMode | _sourceImageSamplingMode
ImageWindowMode | _sourceImageWindowMode
RatioWindow | _sourceRatioWindow
PixelWindow | _sourcePixelWindow
osg::ref_ptr< osg::Image > | _destinationImage
ImageWindowMode | _destinationImageWindowMode
RatioWindow | _destinationRatioWindow
PixelWindow | _destinationPixelWindow
GLenum | _destinationDataType
GLenum | _destinationPixelFormat
## Classes
struct | PixelWindow
| PixelWindow stores the window (in exact pixels) from the overall imagery from which to extract the osg::Image. More...
struct | RatioWindow
| RatioWindow stores the window (as ratios of 0.0 to 1.0) from the overall imagery from which to extract the osg::Image. More...
struct | TexCoordRange
| Used as UserData attached to generated osg::Image's. More...

## Member Enumeration Documentation

enum osgDB::ImageOptions::ImageSamplingMode

  | Enumerator:
  NEAREST |
  LINEAR |
  CUBIC |

enum osgDB::ImageOptions::ImageWindowMode

  | Enumerator:
  ALL_IMAGE |
  RATIO_WINDOW |
  PIXEL_WINDOW |

## Constructor & Destructor Documentation

ImageOptions::ImageOptions | ( |  | ) |

ImageOptions::ImageOptions | ( | const std::string & | str | ) |

osgDB::ImageOptions::ImageOptions | ( | const ImageOptions & | options,
|  | const osg::CopyOp | copyop = `osg::CopyOp::SHALLOW_COPY`
| ) | `[inline]`

## Member Function Documentation

void ImageOptions::init | ( |  | ) |

osgDB::ImageOptions::META_Object | ( | osgDB | ,
|  | ImageOptions |
| ) |

## Member Data Documentation

GLenum osgDB::ImageOptions::_destinationDataType

osg::ref_ptr<osg::Image> osgDB::ImageOptions::_destinationImage

ImageWindowMode osgDB::ImageOptions::_destinationImageWindowMode

GLenum osgDB::ImageOptions::_destinationPixelFormat

PixelWindow osgDB::ImageOptions::_destinationPixelWindow

RatioWindow osgDB::ImageOptions::_destinationRatioWindow

ImageSamplingMode osgDB::ImageOptions::_sourceImageSamplingMode

ImageWindowMode osgDB::ImageOptions::_sourceImageWindowMode

PixelWindow osgDB::ImageOptions::_sourcePixelWindow

RatioWindow osgDB::ImageOptions::_sourceRatioWindow

The documentation for this class was generated from the following files:

- ImageOptions
- ImageOptions.cpp